detekt-api
1.21.0-RC2

# ProjectMetric

open class ProjectMetric ( val type: String , val value: Int , val priority: Int = -1, val isDouble: Boolean = false, val conversionFactor: Int = DEFAULT_FLOAT_CONVERSION_FACTOR)
Content copied to clipboard

Anything that can be expressed as a numeric value for projects.

## Constructors

ProjectMetric
Link copied to clipboard
fun ProjectMetric ( type: String , value: Int , priority: Int = -1, isDouble: Boolean = false, conversionFactor: Int = DEFAULT_FLOAT_CONVERSION_FACTOR)
Content copied to clipboard

## Functions

toString
Link copied to clipboard
open override fun toString (): String
Content copied to clipboard

## Properties

conversionFactor
Link copied to clipboard
val conversionFactor : Int
Content copied to clipboard
isDouble
Link copied to clipboard
val isDouble : Boolean = false
Content copied to clipboard
priority
Link copied to clipboard
val priority : Int
Content copied to clipboard
type
Link copied to clipboard
val type : String
Content copied to clipboard
value
Link copied to clipboard
val value : Int
Content copied to clipboard